SonarQube 8.4 version

We have 7.9 version in our servers. We like to upgrade our version to 8.4 but as far as we understand Java code analysis is not supporting in 8.4 version. Is SonarQube version 8.4 really not analyzing the Java code?

Hey there.

Java is surely still supported in SQ 8.4. What led you to believe it is not?

Colin


according to this metrics we thought it is not supporting the Java codes.
SonarQube Version 7.9(LTS) 8.0 8.1 8.2 8.3 8.4
Java Code Quality and Security 6.3.2 6.3.2 6.3.2 6.3.2 6.3.2